Lines Matching refs:err_exit
20 function err_exit
26 alias err_exit='err_exit $LINENO'
31 tmp=$(mktemp -dt) || { err_exit mktemp -dt failed; exit 1; }
36 then err_exit "-z: null string should be of zero length"
41 then err_exit "-z: $file string should not be of zero length"
44 then err_exit "-a: $file shouldn't exist"
47 then err_exit "-e: $file shouldn't exist"
51 then err_exit "-a: $file should exist"
54 then err_exit "-e: $file should exist"
58 then err_exit "-r: $file should be readable"
61 then err_exit "-w: $file should be writable"
64 then err_exit "-x: $file should be executable"
67 then err_exit "-rw: $file should be readable/writable"
70 then err_exit "-s: $file should be of zero size"
73 then err_exit "-f: $file should be an ordinary file"
76 then err_exit "-f: $file should not be a directory file"
79 then err_exit "-d: . should not be a directory file"
82 then err_exit "-f: /dev/null should not be an ordinary file"
86 then err_exit "-r: $file should not be readable"
89 then err_exit "-r: $file should be owned by me"
92 then err_exit "-w: $file should not be writable"
95 then err_exit "-x: $file should not be executable"
98 then err_exit "-rw: $file should not be readable/writable"
102 else err_exit " wrong precedence"
105 then err_exit " () grouping not working"
108 then err_exit "foo comes before bar"
110 [[ . -ef $(pwd) ]] || err_exit ". is not $PWD"
112 [[ -o allexport ]] || err_exit '-o: did not set allexport option'
114 then err_exit "'$null' has non-zero length"
117 then err_exit "/dev/fd/0 not open for reading"
120 then err_exit "/dev/fd/2 not open for writing"
125 then err_exit "$file should be older than $newer_file"
128 then err_exit "$newer_file should be newer than $file"
131 then err_exit "$file should match $tmp/*"
134 then err_exit "$file should not equal $tmp'/*'"
136 [[ ! ( ! -z $null && ! -z x) ]] || err_exit "negation and grouping"
137 [[ -z '' || -z '' || -z '' ]] || err_exit "three ors not working"
138 [[ -z '' && -z '' && -z '' ]] || err_exit "three ors not working"
141 then err_exit 'value $? within [[...]]'
145 then err_exit " '(x' does not match '('* within [[...]]"
148 then err_exit ' "(x" does not match "("* within [[...]]'
151 then err_exit ' "(x" does not match \(* within [[...]]'
154 then err_exit " 'x(' does not match '('* within [[...]]"
157 then err_exit " 'x&' does not match '&'* within [[...]]"
160 then err_exit " 'xy' matches *'*' within [[...]]"
163 then err_exit '3 < 4'
166 then err_exit '3 > 4'
169 then err_exit '3x < 4x'
174 then err_exit 'extended pattern matching on command arguments'
177 then err_exit 'extended pattern matching not working on variables'
180 then err_exit "setuid on $SHELL"
183 then err_exit "setgid on $SHELL"
185 test -d . -a '(' ! -f . ')' || err_exit 'test not working'
187 then err_exit 'quoting unary operator not working'
189 test \( -n x \) -o \( -n y \) 2> /dev/null || err_exit 'test ( -n x ) -o ( -n y) not working'
190 test \( -n x \) -o -n y 2> /dev/null || err_exit 'test ( -n x ) -o -n y not working'
195 then err_exit "-s: $file should be non-zero"
199 then err_exit "leading zeros in arithmetic compares not ignored"
204 } 2> /dev/null || { set +x; err_exit "foo<bar with -x enabled" ;}
208 ) 2> /dev/null || err_exit "[[ (a) ]] not working"
212 then err_exit "test ! -u suidfile not working"
215 do [[ $i == $i ]] || err_exit "[[ $i != $i ]]"
218 [[ aaaa == {4}(a) ]] || err_exit 'aaaa != {4}(a)'
219 [[ aaaa == {2,5}(a) ]] || err_exit 'aaaa != {2,4}(a)'
220 [[ abcdcdabcd == {3,6}(ab|cd) ]] || err_exit 'abcdcdabcd == {3,4}(ab|cd)'
221 [[ abcdcdabcde == {5}(ab|cd)e ]] || err_exit 'abcdcdabcd == {5}(ab|cd)e'
222 ) || err_exit 'errors with {..}(...) patterns'
223 [[ D290.2003.02.16.temp == D290.+(2003.02.16).temp* ]] || err_exit 'pattern match bug with +(...)'
226 [[ -N $file ]] && err_exit 'test -N $tmp/*: st_mtime>st_atime after creat'
229 [[ -N $file ]] || err_exit 'test -N $tmp/*: st_mtime<=st_atime after write'
232 [[ -N $file ]] && err_exit 'test -N $tmp/*: st_mtime>st_atime after read'
235 then [[ -L "$file" ]] || err_exit '-L not working'
236 [[ -L "$file"/ ]] && err_exit '-L with file/ not working'
238 $SHELL -c 't=1234567890; [[ $t == @({10}(\d)) ]]' 2> /dev/null || err_exit ' @({10}(\d)) pattern not working'
239 $SHELL -c '[[ att_ == ~(E)(att|cus)_.* ]]' 2> /dev/null || err_exit ' ~(E)(att|cus)_* pattern not working'
240 $SHELL -c '[[ att_ =~ (att|cus)_.* ]]' 2> /dev/null || err_exit ' =~ ere not working'
241 $SHELL -c '[[ abc =~ a(b)c ]]' 2> /dev/null || err_exit '[[ abc =~ a(b)c ]] fails'
242 $SHELL -xc '[[ abc =~ \babc\b ]]' 2> /dev/null || err_exit '[[ abc =~ \babc\b ]] fails'
243 [[ abc == ~(E)\babc\b ]] || err_exit '\b not preserved for ere when not in ()'
244 [[ abc == ~(iEi)\babc\b ]] || err_exit '\b not preserved for ~(iEi) when not in ()'
247 [[ $e ]] && err_exit "[ ... ] compatibility check failed -- $e"
249 [[ hell0 == $i[0] ]] || err_exit 'pattern $i[0] interpreded as array ref'
250 test '(' = ')' && err_exit '"test ( = )" should not be true'
251 [[ $($SHELL -c 'case F in ~(Eilr)[a-z0-9#]) print ok;;esac' 2> /dev/null) == ok ]] || err_exit '~(Eilr) not working in case command'
252 [[ $($SHELL -c "case Q in ~(Fi)q | \$'\E') print ok;;esac" 2> /dev/null) == ok ]] || err_exit '~(Fi)q | \E not working in case command'
290 [[ $g == $e ]] || err_exit "[[ '$c' == $p ]] for LC_COLLATE=$l failed -- expected $e, got $g"
296 then [[ -t $n ]] || err_exit "[[ -t n ]] fails when n > 9"
299 [[ -v foo[1] ]] || err_exit 'foo[1] should be set'
300 [[ ${foo[1]+x} ]] || err_exit '${foo[1]+x} should be x'
301 [[ ${foo[@]+x} ]] || err_exit '${foo[@]+x} should be x'
303 [[ -v foo[1] ]] && err_exit 'foo[1] should not be set'
304 [[ ${foo[1]+x} ]] && err_exit '${foo[1]+x} should be empty'
306 [[ -v bar[1] ]] || err_exit 'bar[1] should be set'
307 [[ ${bar[1]+x} ]] || err_exit '${foo[1]+x} should be x'
309 [[ ${bar[1]+x} ]] && err_exit '${foo[1]+x} should be empty'
310 [[ -v bar ]] || err_exit 'bar should be set'
311 [[ -v bar[1] ]] && err_exit 'bar[1] should not be set'
313 [[ -v z[1] ]] || err_exit 'z[1] should be set'
315 [[ -v z[1] ]] && err_exit 'z[1] should not be set'
317 [[ -v y[6] ]] && err_exit 'y[6] should not be set'
318 [[ -v y[1] ]] || err_exit 'y[1] should be set'
320 [[ -v y[1] ]] && err_exit 'y[1] should not be set'
322 [[ -v x[0] ]] || err_exit 'x[0] should be set'
323 [[ ${x[0]+x} ]] || err_exit print '${x[0]+x} should be x'
324 [[ -v x[3] ]] && err_exit 'x[3] should not be set'
325 [[ ${x[3]+x} ]] && err_exit '${x[0]+x} should be Empty'
327 [[ ${x[@]+x} ]] && err_exit '${x[@]+x} should be Empty'
331 [[ $x == ok ]] || err_exit '((...)) inside [[...]] not treated as nested ()'
333 [[ -e /dev/fd/ ]] || err_exit '/dev/fd/ does not exits'
334 [[ -e /dev/tcp/ ]] || err_exit '/dev/tcp/ does not exist'
335 [[ -e /dev/udp/ ]] || err_exit '/dev/udp/ does not exist'
336 [[ -e /dev/xxx/ ]] && err_exit '/dev/xxx/ exists'
338 $SHELL 2> /dev/null -c '[[(-n foo)]]' || err_exit '[[(-n foo)]] should not require space in front of ('
340 $SHELL 2> /dev/null -c '[[ "]" == ~(E)[]] ]]' || err_exit 'pattern "~(E)[]]" does not match "]"'
343 [[ -v var ]] && err_exit '[[ -v var ]] should be false after unset var'
345 [[ -v var ]] || err_exit '[[ -v var ]] should be true after float var'
347 [[ -v var ]] && err_exit '[[ -v var ]] should be false after unset var again'
349 test ! ! ! 2> /dev/null || err_exit 'test ! ! ! should return 0'
350 test ! ! x 2> /dev/null || err_exit 'test ! ! x should return 0'
351 test ! ! '' 2> /dev/null && err_exit 'test ! ! "" should return non-zero'